/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* libe-book
 * Version: MPL 2.0 / LGPLv2.1+
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Alternatively, the contents of this file may be used under the terms
 * of the GNU Lesser General Public License Version 2.1 or later
 * (LGPLv2.1+), in which case the provisions of the LGPLv2.1+ are
 * applicable instead of those above.
 *
 * For further information visit http://libebook.sourceforge.net
 */

#ifndef PMLTYPES_H_INCLUDED
#define PMLTYPES_H_INCLUDED

namespace libebook
{

enum PMLFontType
{
  PML_FONT_TYPE_NORMAL,
  PML_FONT_TYPE_STD,
  PML_FONT_TYPE_BOLD,
  PML_FONT_TYPE_LARGE
};

struct PMLAttributes
{
  PMLAttributes();

  bool pageBreak;
  bool chapter;
  bool center;
  bool right;
  bool italic;
  bool underline;
  bool overstrike;
  bool indent;
  unsigned indentPercent;
  PMLFontType font;
  bool bold;
  bool superscript;
  bool subscript;
  bool smallcaps;
};

} // namespace libebook

#endif // PMLTYPES_H_INCLUDED

/* vim:set shiftwidth=2 softtabstop=2 expandtab: */
