/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* libe-book
 * Version: MPL 2.0 / LGPLv2.1+
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Alternatively, the contents of this file may be used under the terms
 * of the GNU Lesser General Public License Version 2.1 or later
 * (LGPLv2.1+), in which case the provisions of the LGPLv2.1+ are
 * applicable instead of those above.
 *
 * For further information visit http://libebook.sourceforge.net
 */

#ifndef ZTXTPARSER_H_INCLUDED
#define ZTXTPARSER_H_INCLUDED

#include "PDXParser.h"

class WPXDocumentInterface;
class WPXInputStream;
class WPXString;

namespace libebook
{

class ZTXTParser : public PDXParser
{
public:
  explicit ZTXTParser(WPXInputStream *input, WPXDocumentInterface *document = 0);

  virtual bool isFormatSupported(unsigned type, unsigned creator);

  virtual void readAppInfoRecord(WPXInputStream *record);
  virtual void readSortInfoRecord(WPXInputStream *record);
  virtual void readIndexRecord(WPXInputStream *record);
  virtual void readDataRecord(WPXInputStream *record, bool = true);

  virtual void readDataRecords();

private:
  void openDocument();
  void closeDocument();
  void handleText(const WPXString &text);

private:
  unsigned m_recordCount;
  unsigned m_size;
  unsigned m_recordSize;
};

} // namespace libebook

#endif // ZTXTPARSER_H_INCLUDED
/* vim:set shiftwidth=2 softtabstop=2 expandtab: */
